import board
import digitalio
import busio

print("Hello blinka!")

# Use SPI1 on RPi4, numbers are GPIO numbers (not pin numbers)
MISO = 19
MOSI = 20
SCLK = 21

# Try to great a Digital input
pin = digitalio.DigitalInOut(board.D4)
print("Digital IO ok!")

# Try to create an I2C device
i2c = busio.I2C(board.SCL, board.SDA)
print("I2C ok!")

# Try to create an SPI device
# comment out old verion: doesn't work due to PiTFT
#spi = busio.SPI(board.SCLK, board.MOSI, board.MISO) 
spi = busio.SPI(SCLK, MOSI, MISO)
print("SPI ok!")

print("done!")
